<template>
  <div class="semester_detail">
    <div class="semester_detail_title">
      Disciplinas {{ getSelectedSemester }} Semestre
    </div>
    <subject-list :subjects="getApprovedSemester" status="approved"/>
    <subject-list :subjects="getPlannedSemester" status="planned"/>
  </div>
</template>

<script>
import SubjectList from '@/components/SubjectList.vue';
import { mapGetters } from 'vuex';

export default {
  components: {
    SubjectList,
  },

  computed: {
    ...mapGetters([
      'getNusp',
      'getSelectedSemester',
      'getApprovedSemester',
      'getPlannedSemester'
    ])
  }
}
</script>


<style lang="scss">
.semester_detail {
  background: $light-color;
  box-shadow: 0.25em 0.25em rgba(0, 0, 0, 0.1);

  display: flex;
  flex-flow: column nowrap;
  align-self: stretch;

  padding: 1em;
  margin: 1em;
  border-radius: 0.5em;
}

.semester_detail_header {
  background: $light-color;
  border-radius: 0.5em;

  padding: 1em;
  box-shadow: 0.25em 0.25em rgba(0, 0, 0, 0.1);

  margin-bottom: 1em;
}

.semester_detail_title {
  color: $primary-color;
  font-weight: bold;
  font-size: 1.5em;
  margin-bottom: 0.5rem;
}

.semester_detail_title_text {
  font-weight: bold;
}
</style>
